Segments

Update a website segment or cohort

POST/api/websites/{websiteId}/segments/{segmentId}

Updates a saved segment or cohort's type, name, and filter parameters.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
websiteIdrequiredstringID of the website.
segmentIdrequiredstringID of the saved segment or cohort.

Request body

NameTypeDescription
namerequiredstringDisplay name of the resource.
parametersrequiredobjectConfiguration parameters for the resource.
typerequiredenum<string>
Options: segment, cohort
Example request

Responses

200The operation completed successfully.
NameTypeDescription
createdAtrequiredstringDate and time the record was created.
idrequiredstringUnique identifier of the resource.
namerequiredstringDisplay name of the resource.
parametersrequiredanyOfConfiguration parameters for the resource.
typerequiredstring
updatedAtrequiredstringDate and time the record was last updated.
websiteIdrequiredstringID of the website.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example
404Not found.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
404 example

Code samples

cURL